> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trlyr.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get schedule for a physical asset



## OpenAPI

````yaml https://api.trlyr.com/physical-assets/docs/doc.json get /physical-assets/{physicalAssetID}/schedule
openapi: 3.1.0
info:
  description: >
    This API manages physical assets on the terralayr platform: asset
    parameters, schedules, ancillary bids and results, metadata, logbook
    entries, unavailabilities, and EEX notifications. 
     
    Endpoints documented here require a valid Bearer token and the appropriate
    organisation permissions for the physical asset. 
     
    ### Authorization 
     
    All documented endpoints require a Bearer-type `Authorization` header: 
     
    ``` 

    Authorization: Bearer <YOUR_TOKEN> 

    ``` 
     
    Obtain a token via the Auth API: 
     
    ``` 

    POST https://api.trlyr.com/auth/public/authenticate 

    ``` 
     
    Example POST body: 
     
    ``` 

    { 
        "username": "YOUR_USERNAME", 
        "password": "YOUR_PASSWORD" 
    } 

    ``` 
     
     
    If you have any questions, contact support@trlyr.com. 
  title: terralayr Physical Assets API
  version: 1.0.0
servers:
  - description: Production API
    url: https://api.trlyr.com
  - description: Sandbox API
    url: https://api.sandbox.trlyr.com
security: []
tags:
  - name: health
  - name: physical-assets
  - name: schedule
  - name: ancillary
  - name: metadata
  - name: logbook
  - name: eex
externalDocs:
  description: ''
  url: ''
paths:
  /physical-assets/{physicalAssetID}/schedule:
    get:
      tags:
        - schedule
      summary: Get schedule for a physical asset
      parameters:
        - description: Access token
          in: header
          name: Authorization
          required: true
          schema:
            default: Bearer <access token value>
            type: string
        - description: Physical asset ID
          in: path
          name: physicalAssetID
          required: true
          schema:
            format: uuid
            type: string
        - description: Interval start (RFC3339)
          in: query
          name: start
          required: true
          schema:
            type: string
        - description: Interval end (RFC3339)
          in: query
          name: end
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/pkg_models_http_v0_responses.ScheduleBody'
          description: OK
        '400':
          description: Bad Request
        '403':
          description: Forbidden
        '404':
          description: Not Found
        '500':
          description: Internal Server Error
components:
  schemas:
    pkg_models_http_v0_responses.ScheduleBody:
      properties:
        schedule:
          items:
            $ref: '#/components/schemas/pkg_models_http_v0_responses.InstructionBody'
          type: array
          uniqueItems: false
      required:
        - schedule
      type: object
    pkg_models_http_v0_responses.InstructionBody:
      properties:
        power:
          $ref: '#/components/schemas/style.Precision1Float'
        status:
          example: PENDING
          format: string
          type: string
        timestamp:
          example: '2023-11-11T14:30:00Z'
          format: dateTime
          type: string
      required:
        - power
        - status
        - timestamp
      type: object
    style.Precision1Float:
      format: float
      type: object

````